using System;
using System.Collections.Generic;
using System.Text;

namespace Communicator
{
    class Contact
    {
        public Contact(string name, string email, string status)
        {
            this.name = name;
            this.email = email;
            this.status = status;
        }

        private string email;
        public string Email
        {
            get
            {
                return email;
            }
            set
            {
                Email = value;
            }
        }

        private string name;
        public string Name
        {
            get
            {
                return name;
            }
            set
            {
                Name = value;
            }
        }

        private string status;
        public string Status
        {
            get
            {
                return status;
            }
            set
            {
                status = value;
            }
        }

        public override string ToString()
        {
            return name + " - " + status;
        }

        public override bool Equals(object obj)
        {
            if (obj == null) return false;
            if (this.GetType() != obj.GetType()) return false;

            Contact that = (Contact)obj;
            if (!Object.Equals(this.Name, that.Name)) return false;
            if (!Object.Equals(this.Email, that.Email))  return false;

            return true;
        }

        public override int GetHashCode()
        {
            return name.GetHashCode() ^ status.GetHashCode();
        }
    }
}
